import QtQuick 2.0

Rectangle {
    anchors.fill: parent
    color: "blue"

    Image {
        source: 'images/backdrop.jpg'
        anchors.fill: parent
    }

    Rectangle {
        id: logo

        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 20

        color: Qt.rgba(1, 1, 1, 0.5)

        width: parent.width
        height: logoImage.height

        Image {
            id: logoImage
            source: 'images/logo.png'
            anchors.horizontalCenter: parent.horizontalCenter
        }
    }

    Rectangle {
        id: versionLabel

        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 20

        color: Qt.rgba(1, 1, 1, 0.5)
        width: parent.width
        height: 20

        Text {
            // TODO: Add in a way to dynamically get the version of the app.
            text: "v" + appVersion
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 20
        }
    }
}
